#!/bin/sh
#set -x
#source /etc/profile

. /opt/inspark/scripts/sm-functions.sh


DT_COMPAT_LIST=`tr < /proc/device-tree/compatible  '\000' '\n'`

    for compat in $DT_COMPAT_LIST; do
        case "$compat" in
            "onion,omega2p" )
                INSPARK_HW_VERSION=SmartMetrix;
                break;
            ;;
            "mub" )
                INSPARK_HW_VERSION=milandr;
                break;
            ;;

        esac
    done;


case "$INSPARK_HW_VERSION" in
  "SmartMetrix" )
    GPIO_HUB_RESET=37;
    GPIO_GSM_PWRKEY=41;
    GPIO_GSM_STATUS=2;
#	if  [[ ! -c /dev/ttyUSB3 ]]; then
#		gpio_export $GPIO_HUB_RESET
#		gpio_export $GPIO_GSM_PWRKEY
#		gpio_export $GPIO_GSM_STATUS
#	
#		gpio_set_dir $GPIO_HUB_RESET out
#		gpio_set_dir $GPIO_GSM_PWRKEY out
#		gpio_set_dir $GPIO_GSM_STATUS out

#		gpio_set_value $GPIO_HUB_RESET 1
#		gpio_set_value $GPIO_GSM_PWRKEY 1
#		gpio_set_value $GPIO_GSM_STATUS 1
#	fi
	
#	while [ ! -c /dev/ttyUSB3 ]; do sleep 1; done

	get_sim_status
	if [ $? -eq 0 ]
	    then
		active_slot_a
	fi
	/etc/init.d/network restart
   ;;

    * )
    ;;
esac

